{% extends 'property_vacancy_management/form/building_unit/building_unit_create_form.html.twig' %}

{% block propertySpacesData %}
    <div class="accordion-item">
        <h2 class="accordion-header">
            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse"
                    data-coreui-target="#{{ form.vars.id }}_property_spaces_data_content_container" aria-expanded="true"
                    aria-controls="{{ form.vars.id }}_property_spaces_data_content_container">
                Flächen
            </button>
        </h2>
        <div id="{{ form.vars.id }}_property_spaces_data_content_container" class="accordion-collapse collapse show">
            <div class="accordion-body">
                <div class="row">
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.propertySpacesData.plotSize, {'suffix': 'm²'}) }}
                    </div>
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.propertySpacesData.retailSpace, {'suffix': 'm²'}) }}
                    </div>
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.propertySpacesData.subsidiarySpace, {'suffix': 'm²'}) }}
                    </div>
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.propertySpacesData.gastronomySpace, {'suffix': 'm²'}) }}
                    </div>
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.propertySpacesData.livingSpace, {'suffix': 'm²'}) }}
                    </div>
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.propertySpacesData.usableOutdoorAreaPossibility) }}
                    </div>
                    <div id="{{ form.vars.id }}_propertySpacesData_outdoor_area_details" class="col-md-3 d-none">
                        {{ form_row(form.propertySpacesData.usableOutdoorArea, {'suffix': 'm²'}) }}
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block propertyDetailData %}
    <div class="accordion-item">
        <h2 class="accordion-header">
            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse"
                    data-coreui-target="#{{ form.vars.id }}_property_detail_data_content_container" aria-expanded="true"
                    aria-controls="{{ form.vars.id }}_property_spaces_data_content_container">
                Weitere Angaben
            </button>
        </h2>
        <div id="{{ form.vars.id }}_property_detail_data_content_container" class="accordion-collapse collapse show">
            <div class="accordion-body">
                <div class="row">
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.building.buildingCondition) }}
                    </div>
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.building.locationCategory) }}
                    </div>
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.propertyMarketingInformation.propertyOfferType) }}
                    </div>
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.barrierFreeAccess) }}
                    </div>
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.numberOfParkingLots) }}
                    </div>
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.shopWidth, {'suffix': 'm'}) }}
                    </div>
                    <div class="col-md-3 mb-3">
                        {{ form_row(form.shopWindowFrontWidth, {'suffix': 'm'}) }}
                    </div>
                    <div class="col-md-3 mb-3 pt-2">
                        {{ form_row(form.groundLevelSalesArea) }}
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block propertyOwner %}
    <div class="accordion-item">
        <h2 class="accordion-header">
            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse"
                    data-coreui-target="#{{ form.vars.id }}_property_owner_content_container" aria-expanded="true"
                    aria-controls="{{ form.vars.id }}_property_owner_content_container">
                Eigentümer
            </button>
        </h2>
        <div id="{{ form.vars.id }}_property_owner_content_container" class="accordion-collapse collapse show">
            <div class="accordion-body">
                {% include 'property_vacancy_management/component/property/property_owner_create_component.html.twig' with {'form': form} only %}
            </div>
        </div>
    </div>
{% endblock %}
{% block coordinate %}
{% endblock %}
